* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: 'PT Sans', sans-serif;
    font-size: 1.75rem;
    font-weight: 400;
    .bg{
 background: #fff url('./../img/bg-picture.svg') right -50px top 200px/400px auto no-repeat;
    background-attachment: fixed;
    }
   
}

.container {
    width: min(90%, 1200px);
    margin: 0 auto;
}

.main-container {
    display: grid;
    grid-template-columns: 389px 1fr;
    gap: 30px;
}

.page-wrapper {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    gap: 70px;
    margin-bottom: 90px;
    margin-top: 150px;
}


header {
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 2;

    .container {
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: 80px;
        background: white;
    }

    .nav-wrap {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 53px;
    }

    .logo {
        position: relative;
        top: 5px;
    }

    a {
        font-family: 'Tourney', sans-serif;
        text-transform: uppercase;
        font-size: 22px;
        margin-left: 3px;
    }

    ul {
        display: flex;
        justify-content: flex-start;
        gap: 8px;

        li,
        a {
            font-family: 'Staatliches';
            font-size: 22px;
            letter-spacing: 3%;
        }
    }
}

a {
    text-decoration: none;
}

h2,
aside {
    font-family: 'Francois One', sans-serif;
    text-transform: uppercase;
    letter-spacing: 4%;
    font-weight: 700px;
    font-size: 2.25rem;
}

ul {
    list-style: none;
}

aside {
    position: sticky;
    align-self: start;
    top: 160px;

    li {
        margin-left: 10px;
        margin-right: 10px;
        border-bottom: 1px solid #BDBDBD;
        padding-bottom: 5px;
    }
}

.aside-wrapper {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    gap: 70px;
}

.rectangle {
    width: 100px;
    height: 8px;
    background: black;
    margin-bottom: 20px;
}

p.bold {
    font-weight: 700;
    text-shadow: 0 1px 7px #808080;
    vertical-align: 2%;
}

.small-up {
    position: relative;
    top: -1.3em;
    font-family: 'Farro', sans-serif;
    font-weight: 300;
    text-transform: none;
    letter-spacing: 1.3px;
    margin-left: 8px;
    font-size: 50%;
}

p {
    line-height: 48px;
}

.italic {
    font-style: italic;
}

.bold {
    font-weight: 700;
}

.content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 38px;
}

.teg-closed::after {
    content: "</Text>";

}

.teg-open::before {
    content: "<Text>";
}

.bg-grey {
    background-color: #DADADA;
    padding-top: 7px;
    padding-bottom: 7px;
}

a {
    color: black;
}

.down {
    margin-top: 10px;
}

.down2 {
    margin-top: 7px;
}

#introduction,
#core-component,
#react,
#handling {
    scroll-margin-top: 165px;
}

/*----using----*/
.using {
    display: flex;
    margin-top: 150px;
    justify-content: flex-start;
    gap: 20px;
    margin-bottom: 40px;

    .rectangle {
        margin-top: 20px;
    }
    h1 {
        font-family: Roboto, sans-serif;
        width: 600;
        font-size: 2.25rem;
        letter-spacing: -0.04rem;
    }
}

.card {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 30px;
    padding-top: 20px;
    border-top: 1px solid #BFBFBF;
    padding-bottom: 20px;
    border-bottom: 1px solid #BFBFBF;
    padding-left: 15px;
    padding-right: 15px;
}

.flip-card {
    background-color: transparent;
    height: 180px;
    width: 270px;
    perspective: 1000px;
}


.flip-card-inner {
    position: relative;
    height: 180px;
    width: 270px;

    transition: transform 0.8s;
    transform-style: preserve-3d;
}

/* Do an horizontal flip when you move the mouse over the flip box container */
.flip-card:hover .flip-card-inner {
    transform: rotateX(180deg);
}

/* Position the front and back side */
.flip-card-front,
.flip-card-back {
    position: absolute;
    height: 180px;
    width: 270px;
    border-radius: 8px;
    -webkit-backface-visibility: hidden;
    /* Safari */
    backface-visibility: hidden;

    img {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 75%;
    }
}

/* Style the front side (fallback if image is missing) */
.flip-card-front {
    background: #E6E6E6;
}

/* Style the back side */
.flip-card-back {
    background: #0f0e0e;

    img {
        filter: invert();
    }

    transform: rotateX(180deg);
}